---
apiVersion: secrets.hashicorp.com/v1beta1
kind: VaultStaticSecret
metadata:
  name: postgres-credentials
  namespace: encapi
spec:
  destination:
    create: true
    name: postgres-credentials
    overwrite: true
  hmacSecretData: true
  mount: kv
  path: kubernetes/namespace/encapi/default/postgres-credentials
  refreshAfter: 5m
  type: kv-v2
  vaultAuthRef: default
---
apiVersion: secrets.hashicorp.com/v1beta1
kind: VaultStaticSecret
metadata:
  name: environment
  namespace: encapi
spec:
  destination:
    create: true
    name: environment
    overwrite: true
  hmacSecretData: true
  mount: kv
  path: kubernetes/namespace/encapi/default/environment
  refreshAfter: 5m
  type: kv-v2
  vaultAuthRef: default
